# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure(2) do |config|
  config.vm.box = "ubuntu/xenial64"

  config.vm.network "forwarded_port", guest: 8000, host: 8000, auto_correct: true
  config.vm.network "forwarded_port", guest: 8080, host: 8080, auto_correct: true
  config.vm.network "forwarded_port", guest: 5672, host: 5672, auto_correct: true
  config.vm.network "forwarded_port", guest: 15672, host: 15672, auto_correct: true

  config.vm.hostname = 'dashboard.local'
  config.vm.network "private_network", ip: "192.168.11.13", auto_config: true

   config.vm.provider "virtualbox" do |vb|
     vb.memory = "1024"
   end


  config.vm.define :'alemhealth-box-dashboard-build-01' do |t|
  end

  config.ssh.username = "ubuntu"
  config.ssh.forward_agent = true

  config.vm.provision :shell, :inline => "sed -i 's/archive.ubuntu.com/mirror.dhakacom.com/g' /etc/apt/sources.list"
  # config.vm.provision :shell, :inline => "apt-get update"
  # config.vm.provision :shell, :inline => "apt-get install -y python-minimal"

  config.vm.provision "shell", path:"installations.sh"
  config.vm.provision "shell", path:"deployment.sh", privileged:false

  config.vm.synced_folder "../../boxdashboard", "/boxdashboard"
  config.vm.synced_folder "../../box-frontend", "/box-frontend"
end
